Summary: GNOME games.
Name: gnome-games
Version: 1.2.0
Release: 9
Epoch: 1
Copyright: LGPL
Group: Amusements/Games
Source:	ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%{name}/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/gnome-games-%{version}-root
Obsoletes: gnome
URL: http://www.gnome.org
Buildrequires: guile-devel

Patch0: gnome-games-1.2.0-nobill.patch

%description
The gnome-games package includes games for the GNOME GUI desktop
environment, including GnomeScott, ctali, freecell, gnibbles, gnobots,
gnobots2, gnome-stones, gnomine, gnotravex, gnotski, gtali, iagno,
mahjongg, same-gnome, and sol.

Install gnome-games if you want games to play within GNOME.

%package devel
Summary: GNOME games development libraries.
Group: Development/Libraries
Requires: gnome-games = %{version}
Requires: gtk+-devel

%description devel
The gnome-games-devel package installs the libraries and files needed
to develop games for the GNOME GUI desktop environment.

Install gnome-games-devel if you're developing games for GNOME.

%prep
%setup -q

%patch -p1 -b .nobill 
# .nobill patch changes Makefile.am
automake   
autoconf 
libtoolize --force --copy

%build

%configure
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
   --localstatedir=/var/lib --sysconfdir=/etc

make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} \
  sysconfdir=$RPM_BUILD_ROOT/etc \
  localstatedir=$RPM_BUILD_ROOT/var/lib \
  install

#
# lawyers are fun
# lawyers are fun little
#
rm -f  $RPM_BUILD_ROOT%{_prefix}/bin/gnometris
rm -f  $RPM_BUILD_ROOT%{_prefix}/share/gnome/apps/Games/gnometris.desktop
rm -f  $RPM_BUILD_ROOT%{_prefix}/share/gnome/apps/Games/gturing.desktop
rm -f  $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/gnome-gtetris.png
rm -rf $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/gnometris/
rm -f  $RPM_BUILD_ROOT/var/lib/games/gnometris.scores

rm -f $RPM_BUILD_ROOT%{_prefix}/share/gnome/apps/Games/xbill.desktop
rm -f $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/xbill.png
rm -f  $RPM_BUILD_ROOT/var/lib/games/gnome-xbill.scores

# strip binaries
strip $RPM_BUILD_ROOT%{_prefix}/bin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_prefix}/bin/GnomeScott
%{_prefix}/bin/ctali
%{_prefix}/bin/freecell
%{_prefix}/bin/sol

# these are setgid games
%attr(2551, root, games) %{_prefix}/bin/gnibbles
%attr(2551, root, games) %{_prefix}/bin/gnobots2
%attr(2551, root, games) %{_prefix}/bin/gnome-stones
%attr(2551, root, games) %{_prefix}/bin/gnomine
%attr(2551, root, games) %{_prefix}/bin/gnotravex
%attr(2551, root, games) %{_prefix}/bin/gnotski
%attr(2551, root, games) %{_prefix}/bin/gtali
%attr(2551, root, games) %{_prefix}/bin/iagno
%attr(2551, root, games) %{_prefix}/bin/mahjongg
%attr(2551, root, games) %{_prefix}/bin/same-gnome
%attr(2551, root, games) %{_prefix}/bin/gataxx
%attr(2551, root, games) %{_prefix}/bin/glines

%config(noreplace) /etc/sound/events/*
%{_prefix}/share/gnibbles
%{_prefix}/share/gnobots2
%{_prefix}/share/gnome-stones
%{_prefix}/share/sol-games
%{_prefix}/share/gnome/apps/Games/*
%{_prefix}/share/gnome/help/*
%{_prefix}/share/locale/*/*/*
%{_prefix}/share/mime-info/*
%{_prefix}/share/pixmaps/*
%{_prefix}/share/sounds/*

%{_prefix}/lib/lib*.so.*
%{_prefix}/lib/gnome-stones/objects/lib*.so*
%config(noreplace) %attr(664, games, games) /var/lib/games/*

%files devel
%defattr(-, root, root)

%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/include/*

%changelog
* Mon Aug 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- run ldconfig in post and postun (#16589)
- don't put the post and postun scripts in the middle of the files list --
  that tends to break things (oops)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Remove .desktop for gturing

* Mon Jul 17 2000 Jonathan Blandford <jrb@redhat.com>
- Mark high-score files as %config(noreplace).

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- Remove Docdir

* Tue Jul 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Jun 15 2000 Owen Taylor <otaylor@redhat.com>
- 1.2.0
- remove gnometris, xbill from subdirs since we don't install
  them and they cause problems with new C compiler
- update autoconf stuff
- remove gturing, add gnotski to the file list

* Thu May 11 2000 Matt Wilson <msw@redhat.com>
- 1.1.90

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- mark sound event files as config files

* Tue Sep 21 1999 Michael Fulbright <drmike@redhat.com>
- fixed gnotravex to not loop infinitely

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.40

* Sat Apr 10 1999 Jonathan Blandford <jrb@redhat.com>
- added new sol games and a fix for the old ones.

* Mon Mar 29 1999 Michael Fulbright <drmike@redhat.com>
- removed more offending t*tris stuff

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- made gnibbles have correct attr since its setgid
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- added score files to file list

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.0.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- removed *tris games

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8
- added sound event lists to file list
- touched up file list some more

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- added gnibbles data to file list

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.7

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.5

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Thu Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 in prep for GNOME 1.0

* Sat Nov 21 1998 Michael Fulbright <drmike@redhat.com>
- updated for 0.30 tree

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-games CVS source tree

